Ruby: rb_iseq_struct Struct Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Data Fields
rb_iseq_struct Struct Reference

`#include <vm_core.h>`

## Data Fields
VALUE | flags
VALUE | wrapper
struct rb_iseq_constant_body * | body
union {
struct iseq_compile_data * compile_data
struct {
VALUE obj
int index
} loader
struct {
struct rb_hook_list_struct * local_hooks
rb_event_flag_t global_trace_events
} exec
} | aux

## Detailed Description

Definition at line 444 of file vm_core.h.

## Field Documentation

## ◆

union { ... } rb_iseq_struct::aux

Referenced by rb_ibf_load_iseq_complete(), rb_iseq_clear_event_flags(), rb_iseq_free(), rb_iseq_init_trace(), rb_iseq_mark(), and rb_iseq_trace_set().

## ◆ body

struct rb_iseq_constant_body* rb_iseq_struct::body

Definition at line 448 of file vm_core.h.

Referenced by Init_VM(), mjit_worker(), rb_backtrace_use_iseq_first_lineno_for_last_location(), rb_binding_add_dynavars(), rb_block_to_s(), rb_dvar_defined(), rb_insn_operand_intern(), rb_iseq_base_label(), rb_iseq_build_from_ary(), rb_iseq_code_location(), rb_iseq_compile_node(), rb_iseq_first_lineno(), rb_iseq_free(), rb_iseq_ibf_dump(), rb_iseq_insns_info_encode_positions(), rb_iseq_label(), rb_iseq_local_variables(), rb_iseq_mark(), rb_iseq_memsize(), rb_iseq_method_name(), rb_iseq_original_iseq(), rb_iseq_parameters(), rb_iseq_path(), rb_iseq_pathobj_set(), rb_iseq_realpath(), rb_iseq_trace_flag_cleared(), rb_iseq_trace_set(), rb_iseq_update_references(), rb_local_defined(), rb_proc_isolate_bang(), rb_proc_ractor_make_shareable(), rb_resolve_me_location(), rb_simple_iseq_p(), rb_vm_make_binding(), rb_vmdebug_debug_print_pre(), and rb_vmdebug_debug_print_register().

## ◆ compile_data

struct iseq_compile_data* rb_iseq_struct::compile_data

Definition at line 451 of file vm_core.h.

## ◆

struct { ... } rb_iseq_struct::exec

Referenced by rb_iseq_clear_event_flags(), rb_iseq_free(), rb_iseq_init_trace(), rb_iseq_mark(), and rb_iseq_trace_set().

## ◆ flags

VALUE rb_iseq_struct::flags

Definition at line 445 of file vm_core.h.

## ◆ global_trace_events

rb_event_flag_t rb_iseq_struct::global_trace_events

Definition at line 460 of file vm_core.h.

Referenced by rb_iseq_clear_event_flags(), rb_iseq_init_trace(), and rb_iseq_trace_set().

## ◆ index

int rb_iseq_struct::index

Definition at line 455 of file vm_core.h.

Referenced by rb_ibf_load_iseq_complete().

## ◆

struct { ... } rb_iseq_struct::loader

Referenced by rb_ibf_load_iseq_complete(), and rb_iseq_mark().

## ◆ local_hooks

struct rb_hook_list_struct* rb_iseq_struct::local_hooks

Definition at line 459 of file vm_core.h.

Referenced by rb_iseq_free(), rb_iseq_mark(), and rb_iseq_trace_set().

## ◆ obj

VALUE rb_iseq_struct::obj

Definition at line 454 of file vm_core.h.

Referenced by rb_ibf_load_iseq_complete(), and rb_iseq_mark().

## ◆ wrapper

VALUE rb_iseq_struct::wrapper

Definition at line 446 of file vm_core.h.

Referenced by rb_iseq_mark().

The documentation for this struct was generated from the following file:

- vm_core.h